# Unity AssetStore Linkify [![tag](https://img.shields.io/github/tag/XpycT/assetstore-linkify.svg)](https://github.com/XpycT/assetstore-linkify/tags)

AssetStore Linkify is a user script for finding links in plain-text and converting them to HTML `<a>` tags.

## Features

* Replace all plain-text _assetstore.unity3d.com_ links to HTML `<a>` tags.
* Add popup dialog with detail description (click on __Detail__ button)
* Add media and gallery viewer for asset 

## Installation

1. Make sure you have user scripts enabled in your browser (these instructions refer to the latest versions of the browser):

    * FireFox - install [Greasemonkey](https://addons.mozilla.org/ru/firefox/addon/greasemonkey/) or [Tampermonkey](https://addons.mozilla.org/ru/firefox/addon/tampermonkey/)
    * Chrome - install [Tampermonkey](https://chrome.google.com/webstore/detail/tampermonkey/dhdgffkkebhmkfjojejmpbldmpobfkfo)
    * Opera - install [Violentmonkey](https://addons.opera.com/en/extensions/details/violent-monkey/) or [Tampermonkey](https://addons.opera.com/ru/extensions/details/tampermonkey-beta/?display=en)
    * Safari - install [Tampermonkey](https://tampermonkey.net/?ext=dhdg&browser=safari) or [NinjaKit](http://ss-o.net/safari/extension/NinjaKit.safariextz)
    * Dolphin - install [Tampermonkey](https://tampermonkey.net/?ext=dhdg&browser=dolphin)
    * UC Browser - install [Tampermonkey](https://tampermonkey.net/?ext=dhdg&browser=ucweb)

2. Get information or install:
    * Install a script directly from GitHub by clicking on the "install" link in the table below.
    * Install a script from [GreasyFork](https://greasyfork.org/ru/scripts/31651-assetstore-linkify) (GF) from the userscript site page
    * Or, install the scripts from [OpenUserJS](https://openuserjs.org/scripts/XpycT/AssetStore_Linkify) (OU).<br><br> 

    | Userscript                             | Direct<br>Install | Sites                 |
    |----------------------------------------|:------------------:|:-------------------------:|
    | AssetStore Linkify                     | [install][asl-raw] | [GF][asl-gf] [OU][asl-ou] |

[asl-raw]: https://github.com/XpycT/assetstore-linkify/raw/master/script/cs.linkify.user.js
[asl-gf]: https://greasyfork.org/ru/scripts/31651-assetstore-linkif
[asl-ou]: https://openuserjs.org/scripts/XpycT/AssetStore_Linkify

# Updating

Userscript are set up to automatically update. You can check for updates from within the Greasemonkey or Tampermonkey menu, or click on the install link again to get the update.

## Issues

Please report any userscript issues within this repository's [issue section](https://github.com/XpycT/assetstore-linkify/issues). Greasyfork messages are also received, but not as easily tracked. Thanks!

## Screenshots

### CGP

![Unity AssetStore Linkify](assets/userscript_1.jpg?raw=true "Before/After")

![Unity AssetStore Linkify](assets/userscript_2.jpg?raw=true "Popup dialog")

### gfxpeers

![Unity AssetStore Linkify](assets/userscript_3.jpg?raw=true "Popup dialog")

### leakforums

![Unity AssetStore Linkify](assets/userscript_4.jpg?raw=true "Popup dialog")